"""Setup module for slack-purger."""

from pathlib import Path

from setuptools import find_packages, setup


def read_long_description() -> str:
    """Read from README.md file in root of source directory."""
    root = Path(__file__).resolve().parent
    readme = root / "README.md"
    return readme.read_text(encoding="utf-8")  # pylint: disable=no-member


setup(
    name="slack-purger",
    version="0.0.1",
    description="Purge historical messages and files from Slack workspaces",
    long_description=read_long_description(),
    long_description_content_type="text/markdown",
    url="https://github.com/srstevenson/slack-purger",
    author="Scott Stevenson",
    author_email="scott@stevenson.io",
    license="ISC",
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: End Users/Desktop",
        "License :: OSI Approved :: ISC License (ISCL)",
        "Natural Language :: English",
        "Operating System :: Unix",
        "Programming Language :: Python :: 3.7",
    ],
    keywords="slack messages files delete",
    packages=find_packages(),
    install_requires=["daiquiri", "python-dateutil", "requests", "slacker"],
    entry_points={"console_scripts": ["slack-purger=slack_purger:main"]},
)
